Index: /applications/doprava/texty/delka_cyklu/bak.toc
===================================================================
--- /applications/doprava/texty/delka_cyklu/bak.toc (revision 1149)
+++ /applications/doprava/texty/delka_cyklu/bak.toc (revision 1150)
@@ -0,0 +1,57 @@
+\select@language {czech}
+\contentsline {chapter}{Seznam obr\IeC {\'a}zk\IeC {\r u}}{ix}{chapter*.2}
+\contentsline {chapter}{Seznam tabulek}{xi}{chapter*.3}
+\contentsline {chapter}{\numberline {1}\IeC {\'U}vod}{1}{chapter.1}
+\contentsline {chapter}{\numberline {2}AIMSUN}{3}{chapter.2}
+\contentsline {section}{\numberline {2.1}Vstupn\IeC {\'\i } data pro AIMSUN}{3}{section.2.1}
+\contentsline {subsection}{\numberline {2.1.1}Sc\IeC {\'e}n\IeC {\'a}\IeC {\v r}}{3}{subsection.2.1.1}
+\contentsline {subsection}{\numberline {2.1.2}V\IeC {\'y}stupn\IeC {\'\i } data AIMSUNu}{4}{subsection.2.1.2}
+\contentsline {subsection}{\numberline {2.1.3}VGS API}{5}{subsection.2.1.3}
+\contentsline {subsubsection}{\numberline {2.1.3.1}Re\IeC {\'a}ln\IeC {\'a} simulace}{5}{subsubsection.2.1.3.1}
+\contentsline {subsubsection}{\numberline {2.1.3.2}Zpracov\IeC {\'a}n\IeC {\'\i } dat}{6}{subsubsection.2.1.3.2}
+\contentsline {subsection}{\numberline {2.1.4}\IeC {\v R}adi\IeC {\v c}e}{6}{subsection.2.1.4}
+\contentsline {subsection}{\numberline {2.1.5}Oblast simulace}{7}{subsection.2.1.5}
+\contentsline {chapter}{\numberline {3}Multiagentn\IeC {\'\i } syst\IeC {\'e}my}{9}{chapter.3}
+\contentsline {section}{\numberline {3.1}\IeC {\'U}vod}{9}{section.3.1}
+\contentsline {subsection}{\numberline {3.1.1}Historie}{9}{subsection.3.1.1}
+\contentsline {subsection}{\numberline {3.1.2}Agent}{9}{subsection.3.1.2}
+\contentsline {section}{\numberline {3.2}Druhy prost\IeC {\v r}ed\IeC {\'\i }}{10}{section.3.2}
+\contentsline {section}{\numberline {3.3}Interakce agent\IeC {\r u}}{10}{section.3.3}
+\contentsline {subsection}{\numberline {3.3.1}Stavy prost\IeC {\v r}ed\IeC {\'\i } a preference agent\IeC {\r u}}{10}{subsection.3.3.1}
+\contentsline {subsection}{\numberline {3.3.2}Akce agent\IeC {\r u}}{11}{subsection.3.3.2}
+\contentsline {section}{\numberline {3.4}Strategie}{11}{section.3.4}
+\contentsline {subsection}{\numberline {3.4.1}Pou\IeC {\v z}it\IeC {\'\i } pro v\IeC {\'y}b\IeC {\v e}r d\IeC {\'e}lky cyklu}{12}{subsection.3.4.1}
+\contentsline {subsection}{\numberline {3.4.2}Glob\IeC {\'a}ln\IeC {\v e} nejlep\IeC {\v s}\IeC {\'\i } \IeC {\v r}e\IeC {\v s}en\IeC {\'\i }}{13}{subsection.3.4.2}
+\contentsline {subsection}{\numberline {3.4.3}Roz\IeC {\v s}\IeC {\'\i }\IeC {\v r}en\IeC {\'\i }}{14}{subsection.3.4.3}
+\contentsline {chapter}{\numberline {4}Popis implementace}{15}{chapter.4}
+\contentsline {section}{\numberline {4.1}Pou\IeC {\v z}it\IeC {\'e} knihovny}{15}{section.4.1}
+\contentsline {subsection}{\numberline {4.1.1}IT++}{15}{subsection.4.1.1}
+\contentsline {subsubsection}{\numberline {4.1.1.1}T\IeC {\v r}\IeC {\'\i }da vec}{15}{subsubsection.4.1.1.1}
+\contentsline {subsubsection}{\numberline {4.1.1.2}T\IeC {\v r}\IeC {\'\i }da Array}{15}{subsubsection.4.1.1.2}
+\contentsline {subsection}{\numberline {4.1.2}BDM}{16}{subsection.4.1.2}
+\contentsline {subsubsection}{\numberline {4.1.2.1}T\IeC {\v r}\IeC {\'\i }da RV}{16}{subsubsection.4.1.2.1}
+\contentsline {subsubsection}{\numberline {4.1.2.2}T\IeC {\v r}\IeC {\'\i }dy UI a Setting}{16}{subsubsection.4.1.2.2}
+\contentsline {subsubsection}{\numberline {4.1.2.3}T\IeC {\v r}\IeC {\'\i }da Datalink}{16}{subsubsection.4.1.2.3}
+\contentsline {section}{\numberline {4.2}T\IeC {\v r}\IeC {\'\i }da Lane}{17}{section.4.2}
+\contentsline {section}{\numberline {4.3}T\IeC {\v r}\IeC {\'\i }da LaneHandler}{17}{section.4.3}
+\contentsline {subsection}{\numberline {4.3.1}Fronta}{18}{subsection.4.3.1}
+\contentsline {subsection}{\numberline {4.3.2}Odhad fronty}{18}{subsection.4.3.2}
+\contentsline {subsection}{\numberline {4.3.3}Odhad \IeC {\v c}ekac\IeC {\'\i } doby}{20}{subsection.4.3.3}
+\contentsline {section}{\numberline {4.4}Hlavn\IeC {\'\i } smy\IeC {\v c}ka}{22}{section.4.4}
+\contentsline {subsection}{\numberline {4.4.1}Krok simulace}{22}{subsection.4.4.1}
+\contentsline {section}{\numberline {4.5}T\IeC {\v r}\IeC {\'\i }da agenta}{23}{section.4.5}
+\contentsline {subsection}{\numberline {4.5.1}Stru\IeC {\v c}n\IeC {\'y} popis algoritmu}{23}{subsection.4.5.1}
+\contentsline {subsection}{\numberline {4.5.2}V\IeC {\'y}po\IeC {\v c}etn\IeC {\'\i } metody}{23}{subsection.4.5.2}
+\contentsline {subsubsection}{\numberline {4.5.2.1}Metoda getWT}{23}{subsubsection.4.5.2.1}
+\contentsline {subsubsection}{\numberline {4.5.2.2}Metoda findIdealTc}{23}{subsubsection.4.5.2.2}
+\contentsline {subsection}{\numberline {4.5.3}P\IeC {\v r}epsan\IeC {\'e} metody p\IeC {\v r}edka}{24}{subsection.4.5.3}
+\contentsline {subsubsection}{\numberline {4.5.3.1}Metoda validate}{24}{subsubsection.4.5.3.1}
+\contentsline {subsubsection}{\numberline {4.5.3.2}Metoda adapt}{24}{subsubsection.4.5.3.2}
+\contentsline {subsubsection}{\numberline {4.5.3.3}Metoda receive a broadcast}{24}{subsubsection.4.5.3.3}
+\contentsline {subsubsection}{\numberline {4.5.3.4}Metoda act}{26}{subsubsection.4.5.3.4}
+\contentsline {chapter}{\numberline {5}V\IeC {\'y}sledky}{27}{chapter.5}
+\contentsline {section}{\numberline {5.1}Konstant\IeC {\'\i } sc\IeC {\'e}n\IeC {\'a}\IeC {\v r} 1}{28}{section.5.1}
+\contentsline {section}{\numberline {5.2}Konstant\IeC {\'\i } sc\IeC {\'e}n\IeC {\'a}\IeC {\v r} 2}{31}{section.5.2}
+\contentsline {section}{\numberline {5.3}Re\IeC {\'a}ln\IeC {\'y} sc\IeC {\'e}n\IeC {\'a}\IeC {\v r}}{33}{section.5.3}
+\contentsline {chapter}{\numberline {6}Z\IeC {\'a}v\IeC {\v e}r}{37}{chapter.6}
+\contentsline {chapter}{Literatura}{39}{chapter*.23}
Index: /applications/doprava/texty/delka_cyklu/03_Agents/Agents.tex.backup
===================================================================
--- /applications/doprava/texty/delka_cyklu/03_Agents/Agents.tex.backup (revision 1147)
+++ /applications/doprava/texty/delka_cyklu/03_Agents/Agents.tex.backup (revision 1150)
@@ -11,5 +11,5 @@
 \subsection{Historie}
 
-Multiagentí systémy jsou na poli počítačové vědy poměrně nnovinkou. Studium tohoto 
+Multiagentí systémy jsou na poli počítačové vědy poměrně novinkou. Studium tohoto 
 tématu probíhá od začátku osmdesátých let devatenáctého století. Větší pozornosti
 se jim dostalo v polovině let devadesátých s rozvojem internetu. 
@@ -30,23 +30,25 @@
 provedená dvakrát za sebou nemusí vést ke stejnému výsledku.
 
-\section{Prostředí}
+\section{Druhy prostředí}
 
-Russel a Norvig navrhli klasifikaci prostředí podle jednotlivých parametrů následovně.
+Způsob práce agentů se liší podle druhu prostředí, ve kterém pracují. Podle \cite{wooldridge} se
+prostředí dají klasifikovat následovně:
 
-\subsection{Dostupné vs. nedostupné}
+\begin{itemize}
+ \item Deterministické vs. Nedetrministické
+ \item Dostupné vs. nedostupné
+ \item Statické vs. dynamické
+\end{itemize}
+Deterministické prostředí je takové, ve kterém má každá jednotlivá akce předem daný efekt.
+Prostředí je dostupné, pokud agent múže zjistit jeho úplný stav v kteroukoliv dobu.
+Statické prostředí se na rozdíl od dynamického mění pouze vlivem akcí vyvolanými agenty.
+V diskrétním prostředí existuje pevné konečné číslo možných vjemů a akcí.
+\\
+\\
+V našem případě je prostředí nedeterministické (agent pouze odhaduje vliv přenastavení parametru),
+nedostupné (hodnoty se měří pouze jednou za 90 sekund, aještě jsou zkreslené) a dynamické 
+(intenzita dopravy se mění nezévisle na akcích agenta). Je zřejmé, že prostředí s těmito vlastnostmi
+znesnadňuje rozhodování a kontrolu vyvolaného výsledku.
 
-Prostředí je dostupné, pokud agent múže zjistit jeho úplný stav v kteroukoliv dobu.
-
-\subsection{Deterministické vs. Nedetrministické}
-
-Deterministické prostředí je takové, ve kterém má každá jednotlivá akce předem daný efekt.
-
-\subsection{Statické vs. dynamické}
-
-Statické prostředí se na rozdíl od dynamického mění pouze vlivem akcí vyvolanými agenty.
-
-\subsection{Diskrétní vs. spojité}
-
-V diskrétním prostředí existuje pevné konečné číslo možných vjemů a akcí.
 
 \section{Interakce agentů}
@@ -64,8 +66,8 @@
 \begin{definition}[Uspořádání na množině všech stavů]
  Mějme 2 stavy prostředí $\omega_1$, $\omega_2$. Řekněmě, že stav $\omega_1$ je preferován agentem $i$ nad stavem $\omega_2$,
-pokud platí $u_i(\omega_1) \>= u_i(\omega_2)$. Značíme
+pokud platí $u_i(\omega_1) \geqq u_i(\omega_2)$. Značíme
 $$ \omega_1 \succeq_i \omega_2. $$
 Stav $\omega_1$ je silně preferován agentem $i$ nad stavem $\omega_2$,
-pokud platí $u_i(\omega_1) \> u_i(\omega_2)$. Značíme
+pokud platí $u_i(\omega_1) > u_i(\omega_2)$. Značíme
 $$ \omega_1 \succ_i \omega_2 $$
 \end{definition}
@@ -92,16 +94,5 @@
 $$ \tau : A \times A \rightarrow \Omega. $$
 
-\begin{definition}[Dominance]
- Mějme 2 podmnožiny $ \Omega_1, \Omega_2 \subset \Omega $. 
-Řekneme že $\Omega_1$ je pro agenta $i$ dominantní nad množinou $\Omega_2$, pokud platí
-$$
-\forall \omega \in \Omega_1, \forall \omega' \in \Omega_2 : \omega \succeq_i \omega'.
-$$
-Řekneme že $\Omega_1$ je pro agenta $i$ silně dominantní nad množinou $\Omega_2$, pokud platí
-$$
-\forall \omega \in \Omega_1, \forall \omega' \in \Omega_2 : \omega \succ_i \omega'.
-$$
 
-\end{definition}
 
 
@@ -153,5 +144,5 @@
 \subsection{Použití pro výběr délky cyklu}
 
-Délka cyklu řadiče křižovatky je parametr, který je pro všechny křižovatky ve skupině společný.
+Délka cyklu řadiče křižovatky je parametr, který je pro všechny agenty ve skupině zahrnující křižovatky do zelené vlny společný.
 Nesmí tedy dojít k situaci, kdy by každý agent nastavil jinou délku cyklu. Množina strategií
 $A = \{ a_1, a_2, ... \}$ je tedy v našem případě množinou všech nastavitelných délek cyklu $Tc_k$
@@ -197,2 +188,8 @@
 u_{Tc_i} = \max(U). 
 $$ 
+Toto je výběr globálně nejlepšího řešení, kde agent upřednostní takový čas délky cyklu, u kterého se předpokládá
+největší součet zisků od všech agentů nad časem, u kterého předpokládá největší zisk pro sebe.
+
+\subsection{Rozšíření}
+V našem případě se zabýváme pouze dvěma křižovatkami. V případě většího počtu křižovatek patřících do různých skupin zelené vlny
+S bude optimalizace provádět pro každou skupinu zvlášť. jak dále popíšeme v \ref{ss:odhad_fronty}
Index: /applications/doprava/texty/delka_cyklu/bak.aux
===================================================================
--- /applications/doprava/texty/delka_cyklu/bak.aux (revision 1149)
+++ /applications/doprava/texty/delka_cyklu/bak.aux (revision 1150)
@@ -21,10 +21,12 @@
 \@writefile{lot}{\select@language{czech}}
 \HyPL@Entry{2<</S/r>>}
-\@writefile{toc}{\contentsline {chapter}{Seznam obr\IeC {\'a}zk\IeC {\r u}}{vii}{chapter*.2}}
-\@writefile{toc}{\contentsline {chapter}{Seznam tabulek}{ix}{chapter*.3}}
-\HyPL@Entry{12<</S/D>>}
+\@writefile{toc}{\contentsline {chapter}{Seznam obr\IeC {\'a}zk\IeC {\r u}}{ix}{chapter*.2}}
+\@writefile{toc}{\contentsline {chapter}{Seznam tabulek}{xi}{chapter*.3}}
+\HyPL@Entry{14<</S/D>>}
 \@writefile{toc}{\contentsline {chapter}{\numberline {1}\IeC {\'U}vod}{1}{chapter.1}}
 \@writefile{lof}{\addvspace {10\p@ }}
 \@writefile{lot}{\addvspace {10\p@ }}
+\citation{aimsunget}
+\citation{aimsunman}
 \@writefile{toc}{\contentsline {chapter}{\numberline {2}AIMSUN}{3}{chapter.2}}
 \@writefile{lof}{\addvspace {10\p@ }}
@@ -42,4 +44,5 @@
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {2.1.3.1}Re\IeC {\'a}ln\IeC {\'a} simulace}{5}{subsubsection.2.1.3.1}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {2.1.3.2}Zpracov\IeC {\'a}n\IeC {\'\i } dat}{6}{subsubsection.2.1.3.2}}
+\newlabel{sss:zpracovani_dat}{{2.1.3.2}{6}{Zpracování dat\relax }{subsubsection.2.1.3.2}{}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {2.1.4}\IeC {\v R}adi\IeC {\v c}e}{6}{subsection.2.1.4}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {2.1.5}Oblast simulace}{7}{subsection.2.1.5}}
@@ -49,4 +52,6 @@
 \@writefile{lof}{\contentsline {figure}{\numberline {2.4}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 495\relax }}{8}{figure.caption.8}}
 \newlabel{fig:601}{{2.4}{8}{Křižovatka 495\relax \relax }{figure.caption.8}{}}
+\citation{wooldridge}
+\citation{wooldridge}
 \@writefile{toc}{\contentsline {chapter}{\numberline {3}Multiagentn\IeC {\'\i } syst\IeC {\'e}my}{9}{chapter.3}}
 \@writefile{lof}{\addvspace {10\p@ }}
@@ -70,5 +75,6 @@
 \@writefile{thm}{\contentsline {definition}{{Definice}{3.{5}}{Dominance strategie}}{12}{definition.3.5}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.4.1}Pou\IeC {\v z}it\IeC {\'\i } pro v\IeC {\'y}b\IeC {\v e}r d\IeC {\'e}lky cyklu}{12}{subsection.3.4.1}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.4.2}Glob\IeC {\'a}ln\IeC {\v e} n\IeC {\v e}jlep\IeC {\v s}\IeC {\'\i } \IeC {\v r}e\IeC {\v s}en\IeC {\'\i }}{13}{subsection.3.4.2}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.4.2}Glob\IeC {\'a}ln\IeC {\v e} nejlep\IeC {\v s}\IeC {\'\i } \IeC {\v r}e\IeC {\v s}en\IeC {\'\i }}{13}{subsection.3.4.2}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.4.3}Roz\IeC {\v s}\IeC {\'\i }\IeC {\v r}en\IeC {\'\i }}{14}{subsection.3.4.3}}
 \@writefile{toc}{\contentsline {chapter}{\numberline {4}Popis implementace}{15}{chapter.4}}
 \@writefile{lof}{\addvspace {10\p@ }}
@@ -81,5 +87,5 @@
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {4.1.2.1}T\IeC {\v r}\IeC {\'\i }da RV}{16}{subsubsection.4.1.2.1}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {4.1.2.2}T\IeC {\v r}\IeC {\'\i }dy UI a Setting}{16}{subsubsection.4.1.2.2}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.1.2.3}T\IeC {\v r}\IeC {\'\i }da datalink}{16}{subsubsection.4.1.2.3}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.1.2.3}T\IeC {\v r}\IeC {\'\i }da Datalink}{16}{subsubsection.4.1.2.3}}
 \@writefile{toc}{\contentsline {section}{\numberline {4.2}T\IeC {\v r}\IeC {\'\i }da Lane}{17}{section.4.2}}
 \@writefile{toc}{\contentsline {section}{\numberline {4.3}T\IeC {\v r}\IeC {\'\i }da LaneHandler}{17}{section.4.3}}
@@ -87,4 +93,5 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.3.2}Odhad fronty}{18}{subsection.4.3.2}}
 \newlabel{ss:odhad_fronty}{{4.3.2}{18}{Odhad fronty\relax }{subsection.4.3.2}{}}
+\citation{pecherkova}
 \@writefile{lof}{\contentsline {figure}{\numberline {4.1}{\ignorespaces Porovn\IeC {\'a}n\IeC {\'\i } okam\IeC {\v z}it\IeC {\'e} a filtrovan\IeC {\'e} d\IeC {\'e}lky fronty \newline  d\IeC {\'e}lka cyklu 80 s\relax }}{19}{figure.caption.9}}
 \newlabel{fig:q1}{{4.1}{19}{Porovnání okamžité a filtrované délky fronty \newline délka cyklu 80 s\relax \relax }{figure.caption.9}{}}
@@ -93,3 +100,54 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.3.3}Odhad \IeC {\v c}ekac\IeC {\'\i } doby}{20}{subsection.4.3.3}}
 \newlabel{ss:odhad_cekaci_doby}{{4.3.3}{20}{Odhad čekací doby\relax }{subsection.4.3.3}{}}
-\@writefile{toc}{\contentsline {section}{\numberline {4.4}Hlavn\IeC
+\@writefile{toc}{\contentsline {section}{\numberline {4.4}Hlavn\IeC {\'\i } smy\IeC {\v c}ka}{22}{section.4.4}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.4.1}Krok simulace}{22}{subsection.4.4.1}}
+\@writefile{toc}{\contentsline {section}{\numberline {4.5}T\IeC {\v r}\IeC {\'\i }da agenta}{23}{section.4.5}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.5.1}Stru\IeC {\v c}n\IeC {\'y} popis algoritmu}{23}{subsection.4.5.1}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.5.2}V\IeC {\'y}po\IeC {\v c}etn\IeC {\'\i } metody}{23}{subsection.4.5.2}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.5.2.1}Metoda getWT}{23}{subsubsection.4.5.2.1}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.5.2.2}Metoda findIdealTc}{23}{subsubsection.4.5.2.2}}
+\newlabel{sss:ideal_tc}{{4.5.2.2}{23}{Metoda findIdealTc\relax }{subsubsection.4.5.2.2}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.5.3}P\IeC {\v r}epsan\IeC {\'e} metody p\IeC {\v r}edka}{24}{subsection.4.5.3}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.5.3.1}Metoda validate}{24}{subsubsection.4.5.3.1}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.5.3.2}Metoda adapt}{24}{subsubsection.4.5.3.2}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.5.3.3}Metoda receive a broadcast}{24}{subsubsection.4.5.3.3}}
+\newlabel{ss:komunikace}{{4.5.3.3}{24}{Metoda receive a broadcast\relax }{subsubsection.4.5.3.3}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.5.3.4}Metoda act}{26}{subsubsection.4.5.3.4}}
+\newlabel{sss:metoda_act}{{4.5.3.4}{26}{Metoda act\relax }{subsubsection.4.5.3.4}{}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {5}V\IeC {\'y}sledky}{27}{chapter.5}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\@writefile{toc}{\contentsline {section}{\numberline {5.1}Konstant\IeC {\'\i } sc\IeC {\'e}n\IeC {\'a}\IeC {\v r} 1}{28}{section.5.1}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.1}{\ignorespaces Pr\IeC {\r u}b\IeC {\v e}h d\IeC {\'e}lky cyklu\relax }}{28}{figure.caption.11}}
+\newlabel{fig:tc01_2h}{{5.1}{28}{Průběh délky cyklu\relax \relax }{figure.caption.11}{}}
+\@writefile{lot}{\contentsline {table}{\numberline {5.1}{\ignorespaces Tabulk nam\IeC {\v e}\IeC {\v r}en\IeC {\'y}ch hodnot a jejich rozd\IeC {\'\i }l\IeC {\r u} p\IeC {\v r}i konstantn\IeC {\'\i }ch d\IeC {\'e}lk\IeC {\'a}ch cyklu 70 a 80 sekund\relax }}{29}{table.caption.12}}
+\newlabel{tab:01_70_80}{{5.1}{29}{Tabulk naměřených hodnot a jejich rozdílů při konstantních délkách cyklu 70 a 80 sekund\relax \relax }{table.caption.12}{}}
+\@writefile{lot}{\contentsline {table}{\numberline {5.2}{\ignorespaces Tabulk nam\IeC {\v e}\IeC {\v r}en\IeC {\'y}ch hodnot a jejich rozd\IeC {\'\i }l\IeC {\r u} p\IeC {\v r}i konstantn\IeC {\'\i }ch d\IeC {\'e}lk\IeC {\'a}ch cyklu 90 a 80 sekund\relax }}{29}{table.caption.13}}
+\newlabel{tab:01_90_80}{{5.2}{29}{Tabulk naměřených hodnot a jejich rozdílů při konstantních délkách cyklu 90 a 80 sekund\relax \relax }{table.caption.13}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.2}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} po\IeC {\v c}ty zastaven\IeC {\'\i }\relax }}{30}{figure.caption.14}}
+\newlabel{fig:01_8h_tc80_numStops}{{5.2}{30}{Průměrné počty zastavení\relax \relax }{figure.caption.14}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.3}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} d\IeC {\'e}lky zastaven\IeC {\'\i }\relax }}{30}{figure.caption.15}}
+\newlabel{fig:01_8h_tc80_stopTime}{{5.3}{30}{Průměrné délky zastavení\relax \relax }{figure.caption.15}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {5.2}Konstant\IeC {\'\i } sc\IeC {\'e}n\IeC {\'a}\IeC {\v r} 2}{31}{section.5.2}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.4}{\ignorespaces Pr\IeC {\r u}b\IeC {\v e}h d\IeC {\'e}lky cyklu\relax }}{31}{figure.caption.16}}
+\newlabel{fig:tc02_2h}{{5.4}{31}{Průběh délky cyklu\relax \relax }{figure.caption.16}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.5}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} zpo\IeC {\v z}d\IeC {\v e}n\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s konstantn\IeC {\'\i } hodnotu d\IeC {\'e}lky cyklu 80s\relax }}{32}{figure.caption.17}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.6}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} zpo\IeC {\v z}d\IeC {\v e}n\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s konstantn\IeC {\'\i } hodnotu d\IeC {\'e}lky cyklu 120s\relax }}{32}{figure.caption.18}}
+\@writefile{toc}{\contentsline {section}{\numberline {5.3}Re\IeC {\'a}ln\IeC {\'y} sc\IeC {\'e}n\IeC {\'a}\IeC {\v r}}{33}{section.5.3}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.7}{\ignorespaces Graf d\IeC {\'e}lky cyklu $T_c [s]$ a z\IeC {\'a}znam\IeC {\r u} detektor\IeC {\r u} [-]\relax }}{33}{figure.caption.19}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.8}{\ignorespaces Graf pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e}ho zpo\IeC {\v z}d\IeC {\v e}n\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s konstantn\IeC {\'\i } d\IeC {\'e}lkou cyklu $T_c = 80s$\relax }}{34}{figure.caption.20}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.9}{\ignorespaces Graf pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'y}ch po\IeC {\v c}t\IeC {\r u} zastaven\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s d\IeC {\'e}lkou cyklu $T_c = 80s$\relax }}{34}{figure.caption.21}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.10}{\ignorespaces Graf pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'y}ch rychlost\IeC {\'\i } v porovn\IeC {\'a}n\IeC {\'\i } s konstantn\IeC {\'\i } d\IeC {\'e}lkou cyklu $T_c = 80s$\relax }}{35}{figure.caption.22}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {6}Z\IeC {\'a}v\IeC {\v e}r}{37}{chapter.6}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\bibstyle{czechiso}
+\bibdata{Styles/Refer}
+\bibcite{pecherkova}{1}
+\bibcite{roozemond}{2}
+\bibcite{aimsunget}{3}
+\bibcite{aimsunman}{4}
+\bibcite{extman}{5}
+\bibcite{wooldridge}{6}
+\citation{*}
+\@writefile{toc}{\contentsline {chapter}{Literatura}{39}{chapter*.23}}
Index: /applications/doprava/texty/delka_cyklu/bak.tex~
===================================================================
--- /applications/doprava/texty/delka_cyklu/bak.tex~ (revision 1149)
+++ /applications/doprava/texty/delka_cyklu/bak.tex~ (revision 1150)
@@ -2,5 +2,5 @@
 \documentclass [a4paper,12pt,twoside,notitlepage,openright]{report} %print on both side
 \usepackage[bookmarks=false, colorlinks=false,unicode]{hyperref}
-\usepackage[abbr,dcucite]{harvard}      %style ofliterature
+% \usepackage[abbr,dcucite]{harvard}      %style ofliterature
 \usepackage{Styles/Skripta}
 \usepackage{Styles/Diplomka}
@@ -16,7 +16,12 @@
 %-----<<<<<<<<<<<< NAMES NAD PATHS >>>>>>>>>>>>-----
 \def \BookName {BAKALÁŘSKÁ PRÁCE}
-\def \Bookname {Decentralizované řízení dopravní signalizace, nastavení délky cyklu}
-\def \Authors {Autor\?: Jakub Novotný}
+\def \Bookname {Decentralizované řízení dopravní signalizace: nastavení délky cyklu}
+\def \BooknameEN {Decentralized control of traffic lights: setting of cycle time}
+% \def \Authors {Autor\?: Jakub Novotný Vedoucí práce\?: Ing. Václav Šmídl, Ph.D.}
 \def \DatumDP {Praha, 2010}
+\def \autor {Jakub Novotný}
+\def \vedouci {Ing. Václav Šmídl, Ph.D.}
+\def \konzultant {Dr. Ing. Jan Přikryl, Ph.D.}
+
 
 \def \CVUT {České vysoké učení technické v Praze}
@@ -35,5 +40,7 @@
 %-----<<< HEAD >>>-----
 \pagestyle{empty}                       %no pagination
+
 \BookHeadDP
+
 \cleardoublepage
 %-----<<< ---- >>>-----
@@ -62,10 +69,5 @@
 %-----<<< ZADÁNÍ BAKALÁŘSKÉ PRÁCE >>>-----
 
-Seznamte se se současným stavem řízení dopravní signalizace v Praze v oblasti Zličína, zvláště pak s rozvržením křižovatek, sensorů a signálními plány jednotlivých řadičů.
-Mikrosimulátor dopravy AIMSUN se běžně používá k srovnávání různých variant dopravního řešení. Seznamte se s tímto nástrojem a se způsobem předávání dat mezi ním a externími aplikacemi pomocí toolboxu vgsapi.
-Decentralizace řízení dopravy spočívá v zavedení komunikace mezi řadiči sousedících křižovatek, posílání zpráv o současném stavu a vyjednávání o společném postupu pro změny řídícího plánu. Teoretický přístup je též znám jako agentní přístup (multi-agent system).
-Navrhněte vhodnou komunikační strategii pro alespoň dvě křižovatky jejímž cílem je změna délky cyklů signalizačních plánů jednotlivých křižovatek za účelem zvýšení průjezdnosti oblastí.
-Tuto strategii implementujte jako rozšíření stávajícího řešení v C. Navrhněte vhodný komunikační protokol a pokud to bude výhodné použijte napojení na knihovnu rozhodovacích algoritmů BDM.
-Chování navrženého řízení srovnejte s expertně navrženým lokálním řešením pomocí Monte Carlo simulace a mikrosimulátoru AIMSUN.
+Zadání práce s podpisem děkana
 
 \cleardoublepage
@@ -109,5 +111,5 @@
 \input{05_AlgorithmDescription/AlgorithmDescription.tex}              %input fiel
 \input{06_Results/Results.tex}              %input fiel
-\input{06_Ending/Ending.tex}              %input fiel
+\input{07_Ending/Ending.tex}              %input fiel
 
 %-----<<< -------- >>>-----
@@ -115,9 +117,10 @@
 
 %-----<<< REFERENCES >>>-----
+%\input{05_Refer/Refer.tex}
+% \bibliographystyle{Styles/Skripta}
+\bibliographystyle{czechiso}
+\bibliography{Styles/Refer}\nocite{*}              %references from BIBTEX
+\addcontentsline{toc}{chapter}{Literatura}
 
-\bibliographystyle{Styles/Skripta}
-\bibliography{Styles/Refer}                   %references from BIBTEX
-\addcontentsline{toc}{chapter}{Literatura}
-% 6\input{Bibl/Bibl.tex}
 %-----<<< ---------- >>>-----
 
Index: /applications/doprava/texty/delka_cyklu/bak.lot
===================================================================
--- /applications/doprava/texty/delka_cyklu/bak.lot (revision 1149)
+++ /applications/doprava/texty/delka_cyklu/bak.lot (revision 1150)
@@ -0,0 +1,9 @@
+\select@language {czech}
+\addvspace {10\p@ }
+\addvspace {10\p@ }
+\addvspace {10\p@ }
+\addvspace {10\p@ }
+\addvspace {10\p@ }
+\contentsline {table}{\numberline {5.1}{\ignorespaces Tabulk nam\IeC {\v e}\IeC {\v r}en\IeC {\'y}ch hodnot a jejich rozd\IeC {\'\i }l\IeC {\r u} p\IeC {\v r}i konstantn\IeC {\'\i }ch d\IeC {\'e}lk\IeC {\'a}ch cyklu 70 a 80 sekund\relax }}{29}{table.caption.12}
+\contentsline {table}{\numberline {5.2}{\ignorespaces Tabulk nam\IeC {\v e}\IeC {\v r}en\IeC {\'y}ch hodnot a jejich rozd\IeC {\'\i }l\IeC {\r u} p\IeC {\v r}i konstantn\IeC {\'\i }ch d\IeC {\'e}lk\IeC {\'a}ch cyklu 90 a 80 sekund\relax }}{29}{table.caption.13}
+\addvspace {10\p@ }
Index: /applications/doprava/texty/delka_cyklu/bakalarska_prace.kilepr
===================================================================
--- /applications/doprava/texty/delka_cyklu/bakalarska_prace.kilepr (revision 1147)
+++ /applications/doprava/texty/delka_cyklu/bakalarska_prace.kilepr (revision 1150)
@@ -1,11 +1,11 @@
 [General]
-def_graphic_ext=eps
+def_graphic_ext=
 img_extIsRegExp=false
 img_extensions=.eps .jpg .jpeg .png .pdf .ps .fig .gif
 kileprversion=2
 kileversion=2.0.85
-lastDocument=06_Results/Results.tex
+lastDocument=02_Aimsun/Aimsun.tex
 masterDocument=
-name=bakalarska_prace
+name=Project
 pkg_extIsRegExp=false
 pkg_extensions=.cls .sty .bbx .cbx .lbx
@@ -17,12 +17,4 @@
 QuickBuild=
 
-[document-settings,item:00_Chapters/Abstract.tex]
-Bookmarks=
-Encoding=UTF-8
-Highlighting=LaTeX
-Indentation Mode=
-Mode=LaTeX
-ReadWrite=true
-
 [document-settings,item:00_Chapters/Acknow.tex]
 Bookmarks=
@@ -33,20 +25,4 @@
 ReadWrite=true
 
-[document-settings,item:00_Chapters/Declar.tex]
-Bookmarks=
-Encoding=UTF-8
-Highlighting=LaTeX
-Indentation Mode=
-Mode=LaTeX
-ReadWrite=true
-
-[document-settings,item:01_Intro/Intro.tex]
-Bookmarks=
-Encoding=UTF-8
-Highlighting=LaTeX
-Indentation Mode=
-Mode=LaTeX
-ReadWrite=true
-
 [document-settings,item:02_Aimsun/Aimsun.tex]
 Bookmarks=
@@ -81,4 +57,20 @@
 ReadWrite=true
 
+[document-settings,item:07_Ending/Ending.tex]
+Bookmarks=
+Encoding=UTF-8
+Highlighting=LaTeX
+Indentation Mode=
+Mode=LaTeX
+ReadWrite=true
+
+[document-settings,item:Bibl/bibl.bib]
+Bookmarks=
+Encoding=UTF-8
+Highlighting=BibTeX
+Indentation Mode=
+Mode=BibTeX
+ReadWrite=true
+
 [document-settings,item:bak.tex]
 Bookmarks=
@@ -89,5 +81,5 @@
 ReadWrite=true
 
-[item:00_Chapters/Abstract.tex]
+[item:00_Chapters/Acknow.tex]
 archive=true
 column=0
@@ -99,127 +91,126 @@
 order=-1
 
-[item:00_Chapters/Acknow.tex]
-archive=true
-column=0
-encoding=UTF-8
-highlight=LaTeX
-line=0
-mode=LaTeX
-open=false
-order=-1
-
 [item:00_Chapters/Declar.tex]
 archive=true
-column=7
-encoding=UTF-8
-highlight=LaTeX
-line=0
-mode=LaTeX
-open=true
-order=4
-
-[item:01_Intro/Intro.tex]
-archive=true
-column=0
-encoding=UTF-8
-highlight=LaTeX
-line=0
-mode=LaTeX
-open=true
-order=5
-
-[item:02_Aimsun/Aimsun.tex]
-archive=true
-column=42
-encoding=UTF-8
-highlight=LaTeX
-line=128
-mode=LaTeX
-open=true
-order=1
-
-[item:03_Agents/Agents.tex]
-archive=true
-column=27
-encoding=UTF-8
-highlight=LaTeX
-line=68
-mode=LaTeX
-open=true
-order=2
-
-[item:05_AlgorithmDescription/AlgorithmDescription.tex]
-archive=true
-column=43
-encoding=UTF-8
-highlight=LaTeX
-line=138
-mode=LaTeX
-open=true
-order=3
-
-[item:06_Results/Results.tex]
-archive=true
-column=0
-encoding=UTF-8
-highlight=LaTeX
-line=10
-mode=LaTeX
-open=true
-order=6
-
-[item:bak.tex]
-archive=true
-column=25
-encoding=UTF-8
-highlight=LaTeX
-line=107
-mode=LaTeX
-open=true
-order=0
-
-[item:bakalarska_prace.kilepr]
-archive=true
-column=163620016
+column=10
 encoding=
 highlight=
-line=0
+line=7
 mode=
 open=false
 order=-1
 
-[view-settings,view=0,item:00_Chapters/Abstract.tex]
-CursorColumn=0
+[item:01_Intro/Intro.tex]
+archive=true
+column=0
+encoding=
+highlight=
+line=0
+mode=
+open=false
+order=-1
+
+[item:02_Aimsun/Aimsun.tex]
+archive=true
+column=3
+encoding=UTF-8
+highlight=LaTeX
+line=4
+mode=LaTeX
+open=true
+order=1
+
+[item:03_Agents/Agents.tex]
+archive=true
+column=22
+encoding=UTF-8
+highlight=LaTeX
+line=0
+mode=LaTeX
+open=true
+order=2
+
+[item:05_AlgorithmDescription/AlgorithmDescription.tex]
+archive=true
+column=121
+encoding=UTF-8
+highlight=LaTeX
+line=171
+mode=LaTeX
+open=true
+order=3
+
+[item:06_Results/Results.tex]
+archive=true
+column=110
+encoding=UTF-8
+highlight=LaTeX
+line=133
+mode=LaTeX
+open=true
+order=6
+
+[item:07_Ending/Ending.tex]
+archive=true
+column=9
+encoding=UTF-8
+highlight=LaTeX
+line=0
+mode=LaTeX
+open=true
+order=5
+
+[item:Bibl/bibl.bib]
+archive=true
+column=19
+encoding=UTF-8
+highlight=BibTeX
+line=0
+mode=BibTeX
+open=true
+order=4
+
+[item:bak.tex]
+archive=true
+column=37
+encoding=UTF-8
+highlight=LaTeX
+line=119
+mode=LaTeX
+open=true
+order=0
+
+[view-settings,view=0,item:00_Chapters/Acknow.tex]
+CursorColumn=66
+
+[view-settings,view=0,item:00_Chapters/Declar.tex]
+CursorColumn=10
+CursorLine=7
+
+[view-settings,view=0,item:02_Aimsun/Aimsun.tex]
+CursorColumn=3
+CursorLine=4
+
+[view-settings,view=0,item:03_Agents/Agents.tex]
+CursorColumn=22
 CursorLine=0
 
-[view-settings,view=0,item:00_Chapters/Acknow.tex]
-CursorColumn=0
+[view-settings,view=0,item:05_AlgorithmDescription/AlgorithmDescription.tex]
+CursorColumn=121
+CursorLine=171
+
+[view-settings,view=0,item:06_Results/Results.tex]
+CursorColumn=110
+CursorLine=133
+
+[view-settings,view=0,item:07_Ending/Ending.tex]
+CursorColumn=9
 CursorLine=0
 
-[view-settings,view=0,item:00_Chapters/Declar.tex]
-CursorColumn=7
+[view-settings,view=0,item:Bibl/bibl.bib]
+CursorColumn=19
 CursorLine=0
 
-[view-settings,view=0,item:01_Intro/Intro.tex]
-CursorColumn=0
-CursorLine=0
-
-[view-settings,view=0,item:02_Aimsun/Aimsun.tex]
-CursorColumn=42
-CursorLine=128
-
-[view-settings,view=0,item:03_Agents/Agents.tex]
-CursorColumn=27
-CursorLine=68
-
-[view-settings,view=0,item:05_AlgorithmDescription/AlgorithmDescription.tex]
-CursorColumn=43
-CursorLine=138
-
-[view-settings,view=0,item:06_Results/Results.tex]
-CursorColumn=0
-CursorLine=10
-
 [view-settings,view=0,item:bak.tex]
-CursorColumn=25
-CursorLine=107
+CursorColumn=37
+CursorLine=119
